import 'package:flutter/material.dart';
import 'package:sk_base_mobile/constants/bg_color.dart';
import 'package:sk_base_mobile/util/screen_adaper_util.dart';

class ChangeIconButton extends StatelessWidget {
  const ChangeIconButton({super.key, required this.icon});
  final Widget icon;
  @override
  Widget build(BuildContext context) {
    return Container(
      height: ScreenAdaper.height(60),
      width: ScreenAdaper.height(60),
      alignment: Alignment.center,
      decoration:
          BoxDecoration(shape: BoxShape.circle, color: neviBlue, boxShadow: [
        BoxShadow(
            color: neviBlue.withOpacity(.3),
            offset: Offset(0, ScreenAdaper.height(10)),
            blurRadius: ScreenAdaper.sp(10))
      ]),
      child: icon,
    );
  }
}
